package models

// User represents a user in the system
type User struct {
	ID       string `json:"id"`
	Username string `json:"username" binding:"required"`
	Email    string `json:"email" binding:"required,email"`
	Password string `json:"password" binding:"required,min=6"`
	// Other user fields
}

// GetID returns the user's ID
func (u *User) GetID() string {
	return u.ID
}

// SetID sets the user's ID
func (u *User) SetID(id string) {
	u.ID = id
}
